package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-13 17:11
 * @describe
 */
@Data
public class ProjectPageDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	private String year;

	private String name;

	private String areaCode;

	@ApiModelProperty(value = "主管单位")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long competentUnit;

	@ApiModelProperty(value = "协作单位")
	private String cooperationUint;

	@ApiModelProperty(value = "是否按照待完成任务数降序 0:否 1：是 默认否")
	private Integer todoAsc = 0;

	@ApiModelProperty(value = "是否按照截至时间降序 0:否 1：是 默认否")
	private Integer endTimeAsc = 0;

	@NotNull(message = "current不可为空")
	private int current;

	@NotNull(message = "size不可为空")
	private int size;

	@ApiModelProperty(value = "当前登录用户的顶级机构id")
	@NotNull(message = "topDept不可为空")
	private Long topDept;

	@ApiModelProperty(value = "当前登录用户的机构类型")
	@NotNull(message = "deptCategory不可为空")
	private Integer deptCategory;

}
