package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-09-14 14:38
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_file_and_folder")
public class FileAndFolder extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("project_id")
	private Long projectId;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("stage_id")
	private Long stageId;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("parent_id")
	private Long parentId = 0L;

	@TableField("title")
	private String title;

	@TableField("type")
	@ApiModelProperty(value = "1：文件 2:文件夹")
	@NotNull(message = "type不可为空")
	private Integer type;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("blade_file_id")
	private Long bladeFileId;

	@TableField("is_private")
	@ApiModelProperty(value = "是否私有 1：是 0:否 默认否")
	private Integer isPrivate = 0;

	@TableField("private_user")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long privateUser;
}
