package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-15 22:10
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_index_message_log")
public class IndexMessage extends BaseEntity {
	private static final long serialVersionUID = 1L;


	@TableField("category")
	@ApiModelProperty("分类，1：待办 2：内容更新")
	private Integer category;

	@TableField("to_user")
	@ApiModelProperty("接收者")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long toUser;

	@TableField("content")
	@ApiModelProperty("提醒内容")
	private String content;

	@TableField("open_url")
	@ApiModelProperty("")
	private String openUrl;

	@TableField("is_read")
	@ApiModelProperty("已读未读")
	private Integer isRead;
}
