package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Blizzard
 * @create at 2023-09-18 11:52
 * @describe 任务成本核算
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_task_cost")
@Data
public class TaskCost extends BaseEntity {

	private static final long serialVersionUID = 1L;


	@TableField("project_id")
	@NotNull(message = "projectId can't be null")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectId;

	@TableField("task_id")
	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "taskId can't be null")
	private Long taskId;

	@ApiModelProperty(value = "成本类型 字典值")
	@TableField("type")
	private String type;

	@ApiModelProperty(value = "金额")
	@TableField("amount")
	private BigDecimal amount;

	@ApiModelProperty(value = "开始时间")
	@TableField("start_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	@TableField("end_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endTime;

	@ApiModelProperty(value = "交通方式 字典值")
	@TableField("transportation_mode")
	private String transportationMode;

	@ApiModelProperty(value = "报销凭证文件ids 上传完成以后返回的主键ID")
	@TableField("blade_file_ids")
	private String bladeFileIds;

}
