package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Jimi Zhang
 * @create at 2022-12-12 11:36
 * @describe 项目类型和阶段表
 */
@Data
@TableName("blade_template_type_and_stage")
@EqualsAndHashCode(callSuper = true)
public class TemplateTypeAndStage extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("parent_id")
	@NotNull(message = "parentId不可为空")
	private Long parentId;

	@TableField("name")
	@ApiModelProperty("名称")
	private String name;

	@TableField("sort")
	@ApiModelProperty("排序")
	@NotNull(message = "sort不可为空")
	private Integer sort;

}
