package com.wtkj.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.AnnouncementSend;
import com.wtkj.mapper.AnnouncementSendMapper;
import com.wtkj.service.IAnnouncementSendService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.core.tool.utils.DateUtil;
import org.springblade.core.tool.utils.ObjectUtil;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-23 11:22
 * @describe
 */
@Service
@AllArgsConstructor
public class AnnouncementSendServiceImpl extends BaseServiceImpl<AnnouncementSendMapper, AnnouncementSend> implements IAnnouncementSendService {
	@Override
	public IPage<AnnouncementSend> selectAnnouncementSendPage(IPage<AnnouncementSend> page, Long userId) {
		return page.setRecords(baseMapper.selectAnnouncementSendPage(page, userId));
	}

	@Override
	public Integer notReadCount(Long userId) {
		return baseMapper.notReadCount(userId);
	}

	@Override
	public Boolean updateReadFlag(Long id) {
		boolean flag = false;
		AnnouncementSend announcementSend = this.getById(id);
		if (ObjectUtil.isNotEmpty(announcementSend)) {
			if (announcementSend.getReadFlag() == 0) {//还未阅读
				announcementSend.setReadFlag(1);
				announcementSend.setReadTime(DateUtil.now());
				flag = this.updateById(announcementSend);
			}
		}
		return flag;
	}

	@Override
	public Boolean allRead(Long userId) {
		boolean flag = false;
		List<AnnouncementSend> list = baseMapper.allNotRead(userId);
		if (!CollectionUtils.isEmpty(list)) {
			list.forEach(e -> e.setReadFlag(1));
			flag = this.updateBatchById(list);
		}
		return flag;
	}


}
