package com.wtkj.wrapper;

import com.wtkj.entity.ContactOuter;
import com.wtkj.vo.ContactOuterUserVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.system.user.entity.User;
import org.springblade.system.user.feign.IUserClient;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-25 15:29
 * @describe
 */
public class ContactOuterUserWrapper extends BaseEntityWrapper<ContactOuter, ContactOuterUserVO> {

	private static IUserClient userClient;

	public static ContactOuterUserWrapper build() {
		userClient = SpringUtil.getBean(IUserClient.class);
		return new ContactOuterUserWrapper();
	}

	@Override
	public ContactOuterUserVO entityVO(ContactOuter entity) {
		ContactOuterUserVO vo = Objects.requireNonNull(BeanUtil.copy(entity, ContactOuterUserVO.class));
		Long userId = entity.getRelatedUserId();
		if (userId != null) {
			R<User> userR = userClient.userInfoById(userId);
			if (userR.isSuccess()) {
				vo.setUser(userR.getData());
			}
		}
		return vo;
	}
}
