package com.wtkj.wrapper;

import com.wtkj.entity.ContactOuter;
import com.wtkj.vo.ContactOuterVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.system.entity.Dept;
import org.springblade.system.feign.ISysClient;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-25 15:07
 * @describe
 */
public class ContactOuterWrapper extends BaseEntityWrapper<ContactOuter, ContactOuterVO> {

	private static ISysClient sysClient;

	public static ContactOuterWrapper build() {
		sysClient = SpringUtil.getBean(ISysClient.class);
		return new ContactOuterWrapper();
	}

	@Override
	public ContactOuterVO entityVO(ContactOuter entity) {
		ContactOuterVO vo = Objects.requireNonNull(BeanUtil.copy(entity, ContactOuterVO.class));
		Long deptId = entity.getRelatedDeptId();
		if (deptId != null) {
			R<Dept> deptR = sysClient.getDept(deptId);
			if (deptR.isSuccess()) {
				vo.setDeptName(deptR.getData().getDeptName());
			}
		}
		return vo;
	}
}
