package com.wtkj.wrapper;

import com.wtkj.entity.Project;
import com.wtkj.entity.Task;
import com.wtkj.service.IProjectService;
import com.wtkj.vo.IndexTaskScheduleVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.api.R;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.system.user.entity.User;
import org.springblade.system.user.feign.IUserClient;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-20 16:33
 * @describe
 */
public class IndexTaskScheduleWrapper extends BaseEntityWrapper<Task, IndexTaskScheduleVO> {

	private static IProjectService projectService;
	private static IUserClient userClient;

	public static IndexTaskScheduleWrapper build() {
		projectService = SpringUtil.getBean(IProjectService.class);
		userClient = SpringUtil.getBean(IUserClient.class);
		return new IndexTaskScheduleWrapper();
	}

	@Override
	public IndexTaskScheduleVO entityVO(Task entity) {
		IndexTaskScheduleVO vo = Objects.requireNonNull(BeanUtil.copy(entity, IndexTaskScheduleVO.class));
		Long projectId = entity.getProjectId();
		if (projectId != null) {
			Project byId = projectService.getById(projectId);
			if (byId != null) {
				vo.setProjectName(byId.getName());
			}
		}
		Long projectManager = entity.getProjectManager();
		if (projectManager != null) {
			R<User> userR = userClient.userInfoById(projectManager);
			if (userR.isSuccess()) {
				vo.setProjectManagerUser(userR.getData().getName());
			}
		}
		return vo;
	}
}
