package com.wtkj.wrapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.wtkj.entity.WorkStatus;
import com.wtkj.service.IWorkStatusService;
import com.wtkj.vo.UserStatusVO;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.system.user.entity.User;

import java.util.Objects;

/**
 * @author Blizzard
 * @create at 2023-09-16 00:05
 * @describe
 */
public class UserListWrapper extends BaseEntityWrapper<User, UserStatusVO> {

	private static IWorkStatusService workStatusService;

	public static UserListWrapper build() {
		workStatusService = SpringUtil.getBean(IWorkStatusService.class);
		return new UserListWrapper();
	}

	@Override
	public UserStatusVO entityVO(User entity) {
		UserStatusVO vo = Objects.requireNonNull(BeanUtil.copy(entity, UserStatusVO.class));
		Long userId = vo.getId();
		LambdaQueryWrapper<WorkStatus> lqw = new LambdaQueryWrapper<>();
		lqw.eq(WorkStatus::getUserId, userId);
		lqw.orderByDesc(WorkStatus::getCreateTime);
		lqw.last("limit 1");
		WorkStatus one = workStatusService.getOne(lqw);
		if (one != null) {
			vo.setWorkStatus(one.getWorkStatusDescribe());
		}
		return vo;
	}
}
